import 'firebase/auth';
import { User } from '@firebase/auth-types';
import { RAFirebaseOptions } from './options';
export declare function AuthProvider(firebaseConfig: {}, options: RAFirebaseOptions): {
    login: (params: any) => Promise<import("@firebase/auth-types").UserCredential | User>;
    logout: () => Promise<void>;
    checkAuth: () => Promise<User>;
    checkError: (error: any) => Promise<string>;
    getPermissions: () => Promise<{
        [key: string]: any;
    }>;
    getIdentity: () => Promise<{
        id: string;
        fullName: string;
        avatar: string;
    }>;
    getJWTAuthTime: () => Promise<string>;
    getJWTExpirationTime: () => Promise<string>;
    getJWTSignInProvider: () => Promise<string>;
    getJWTClaims: () => Promise<{
        [key: string]: any;
    }>;
    getJWTToken: () => Promise<string>;
};
